from dataclasses import dataclass
from datetime import datetime
from typing import Optional

@dataclass
class VerificationCode:
    email: str
    code: str
    created_at: datetime
    expires_at: datetime
    used: bool = False
    id: Optional[int] = None

@dataclass
class Subscription:
    email: str
    plan_type: str
    start_date: datetime
    end_date: datetime
    active: bool = True
    id: Optional[int] = None
